<?php
/*
Plugin Name: Gezuar Festen e Flamurit
Plugin URI: http://amar-syla.co.cc/plugins/gezuar-festen-e-flamurit/
Description: Put the Albanian flag and anthem in your blog.
Author: Amar Syla
Author URI: http://amar-syla.co.cc/
Version: 1.0
*/

function ozh_vvzl_load() {
	if( isset($_COOKIE['albanian']) && $_COOKIE['albanian'] == 'false' )
		return;

	$plugin_url = WP_PLUGIN_URL.'/'.plugin_basename(dirname(__FILE__));
	
	$vuvupics = array(
		1 => 'width:159px; height:100px; left:0px;',
		2 => 'width:195px; height:98px; right:0px;',
		3 => 'width:250px; height:295px',
	);
	
	$rnd = mt_rand(1,3);
	$pic = 'al'.$rnd.'.png';
	$css = $vuvupics[$rnd];
	$script = $rnd == 3 ? "<script>var margin = '".mt_rand(3,75)."%';</script>" : '' ;
	
	echo <<<HTML
	
	<div id="anthemsound">
<embed name="lostmojo"
src="$plugin_url/assets/anthem.mp3"
loop="true"
hidden="true"
autostart="true">
</embed>

	<div id="alpic" style="$css;">
		<img src="$plugin_url/assets/$pic"  />
		<div id="stop">Deshironi ta ndalni?<br/>Klikoni ketu :)</div>
	</div>
	
	<link rel="stylesheet" type="text/css" href="$plugin_url/assets/al.css" />
	$script
	<script src="$plugin_url/assets/al.js" ></script>
HTML;
}
add_action( 'wp_footer', 'ozh_vvzl_load' );


function ozh_vvzl_init() {
	wp_enqueue_script('jquery');
}
add_action( 'init', 'ozh_vvzl_init' );
